<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<title>HTML Attributes and Links</title>

	</head>

	<body> 
		<!-- h2 tag will create a heading on our webpage -->
		<!-- The id attribute assigns a unique name as a identifier -->
		<h2 align="center" id="top">HTML Attributes</h2>

		<!-- align attribute - change the alignment of the paragraph -->
		<p align="center"><em>Modifiers of element behaviours.</em></p>

		<h2>HTML Images</h2>
		<!-- &lt; and &gt; are called HTML entities. They are used to include special characters into text. -->
		<p align="right"><em>An Image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute</em></p>

		<!-- img tag is used to include images. img tag it creates inline element. -->
		<!-- src attribute accepts a url from an online resource. -->
		<img src="https://place-puppy.com/300x300"/>
		<p>
			<!-- code tag is used to define a piece of computer code and displays text in browser ysing it's default monospace font. -->
			<code>
				&lt;img src="https://place-puppy.com/300x300"/&gt;
			</code>
		</p>

		<!-- In src attribute, we use relative linking. -->
		<img src="./images/zuittlogo.png">

		<p>
			<!-- code tag is used to define a piece of computer code and displays text in browser ysing it's default monospace font. -->
			<code>
				&lt;img src="./images/zuittlogo.png"/&gt;
			</code>
		</p>

		<p>Valid images extensions are the following:</p>

		<!-- type attributes changes the number of points the elements.
		The default type is the interger numbers. Types : 1, a, A, i, I -->

		<!-- The reversed attribute reverses the order of the bullet points. -->
		<ol type="I" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>gif</li>
			<li>svg</li>
			<li>webp</li>
		</ol>

		<h2>HTML Links</h2>

		<h4>Absolute Link</h4>

		<!-- a - tag creates a hyperlink element when clicked will redirect to a different page. It is an example of inline tag -->
		<!-- href attribute means "hypertext reference" which is used to create a link to a different page. -->
		<!-- target = "_blank" to open a new tab for absolute linking. -->
		<a href="https://zuitt.co/" target="_blank">I'm a hyperlink</a>

			<h4>Relative Linking</h4>
			<ul>
				<!-- This hyperlink will direct you to link.html -->
				<li>Hyperlink going to <a href="./link.html">link.html</a></li>
				<!-- This hyperlink will direct your to images.html -->
				<li>Go to <a href="./images/images.html">images.html</a></li>

				<!-- Go to top using the ID attribute -->
				<li>Go to <a href="#top">to<a/>.</li>
			</ul>

	</body>
</html>